Bug 1907048 - Review Request: ghc-http-query - Simple http queries
Summary: Review Request: ghc-http-query - Simple http queries
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tristan Cacqueray
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1924099
TreeView+ depends on / blocked
 
Reported: 2020-12-12 14:21 UTC by Jens Petersen
Modified: 2021-02-17 05:09 UTC (History)
3 users (show)

Fixed In Version: ghc-http-query-0.1.0-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-17 05:08:58 UTC
Type: ---
tdecacqu: fedora-review+


Attachments (Terms of Use)

Comment 1 Tristan Cacqueray 2021-02-04 17:48:13 UTC
Note: installed package seems to work in ghci.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 3-clause "New" or "Revised"
     License". 4 files have unknown license. Detailed output of
     licensecheck in /home/tdecacqu/1907048-ghc-http-query/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ghc-http-query-0.1.0-1.fc34.x86_64.rpm
          ghc-http-query-devel-0.1.0-1.fc34.x86_64.rpm
          ghc-http-query-0.1.0-1.fc34.src.rpm
ghc-http-query.x86_64: W: library-not-linked-against-libc /usr/lib64/libHShttp-query-0.1.0-EWGAjUq0bGI4LA7Tl9397b-ghc8.8.4.so
ghc-http-query.x86_64: W: no-documentation
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
(none): E: no installed packages by name ghc-http-query-devel
(none): E: no installed packages by name ghc-http-query
0 packages and 0 specfiles checked; 0 errors, 0 warnings.



Unversioned so-files
--------------------
ghc-http-query: /usr/lib64/libHShttp-query-0.1.0-EWGAjUq0bGI4LA7Tl9397b-ghc8.8.4.so

Source checksums
----------------
https://hackage.haskell.org/package/http-query-0.1.0/http-query-0.1.0.tar.gz :
  CHECKSUM(SHA256) this package     : 7acb1a8993f480b7cdce858e1409d0f53d8a893de0bac0e95677d652fd694ac8
  CHECKSUM(SHA256) upstream package : 7acb1a8993f480b7cdce858e1409d0f53d8a893de0bac0e95677d652fd694ac8


Requires
--------
ghc-http-query (rpmlib, GLIBC filtered):
    libHSaeson-1.4.7.1-27FHg4BkJrm9lkk8tZZzUQ-ghc8.8.4.so()(64bit)
    libHSbase-4.13.0.0-ghc8.8.4.so()(64bit)
    libHSbytestring-0.10.10.1-ghc8.8.4.so()(64bit)
    libHSghc-prim-0.5.3-ghc8.8.4.so()(64bit)
    libHShttp-client-0.6.4.1-HQHHmtTk17LFbkb29RDOTU-ghc8.8.4.so()(64bit)
    libHShttp-conduit-2.3.7.3-As1shtZuOVlVXi6ATFVK6-ghc8.8.4.so()(64bit)
    libHShttp-types-0.12.3-91k63qdLQk0H6CBqDfaGkl-ghc8.8.4.so()(64bit)
    libHSnetwork-uri-2.6.3.0-CPjS2hnZr1IIlGhZ1dITqG-ghc8.8.4.so()(64bit)
    libHStext-1.2.4.0-ghc8.8.4.so()(64bit)
    rtld(GNU_HASH)

ghc-http-query-devel (rpmlib, GLIBC filtered):
    ghc-compiler
    ghc-devel(aeson-1.4.7.1-27FHg4BkJrm9lkk8tZZzUQ)
    ghc-devel(base-4.13.0.0)
    ghc-devel(bytestring-0.10.10.1)
    ghc-devel(http-conduit-2.3.7.3-As1shtZuOVlVXi6ATFVK6)
    ghc-devel(network-uri-2.6.3.0-CPjS2hnZr1IIlGhZ1dITqG)
    ghc-devel(text-1.2.4.0)
    ghc-http-query(x86-64)



Provides
--------
ghc-http-query:
    ghc-http-query
    ghc-http-query(x86-64)
    libHShttp-query-0.1.0-EWGAjUq0bGI4LA7Tl9397b-ghc8.8.4.so()(64bit)

ghc-http-query-devel:
    ghc-devel(http-query-0.1.0-EWGAjUq0bGI4LA7Tl9397b)
    ghc-http-query-devel
    ghc-http-query-devel(x86-64)
    ghc-http-query-static
    ghc-http-query-static(x86-64)



Generated by fedora-review 0.7.6 (b083f91) last change: 2020-11-10
Command line :/usr/bin/fedora-review -b 1907048
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Haskell, C/C++
Disabled plugins: fonts, PHP, SugarActivity, Perl, Ocaml, Java, R, Python
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Jens Petersen 2021-02-05 03:35:25 UTC
Thank you for the review, Tristan

https://pagure.io/releng/fedora-scm-requests/issue/32032

Comment 3 Mohan Boddu 2021-02-05 18:42:25 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-http-query

Comment 5 Fedora Update System 2021-02-09 02:44:16 UTC
FEDORA-2021-bb70eb6b05 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-bb70eb6b05

Comment 6 Fedora Update System 2021-02-09 02:51:45 UTC
FEDORA-2021-19a8d719d2 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-19a8d719d2

Comment 7 Fedora Update System 2021-02-10 00:44:17 UTC
FEDORA-2021-bb70eb6b05 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-bb70eb6b05 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-bb70eb6b05

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-02-10 01:47:11 UTC
FEDORA-2021-19a8d719d2 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2021-19a8d719d2 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-19a8d719d2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-02-17 05:08:58 UTC
FEDORA-2021-19a8d719d2 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2021-02-17 05:09:04 UTC
FEDORA-2021-bb70eb6b05 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.